Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.extend
Class TypeHintContext

    java.lang.Object
      org.directwebremoting.extend.TypeHintContext

    public class TypeHintContext

extends java.lang.Object

Something to hold the method, paramNo and index together as an object that can be a key in a Map.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`TypeHintContext(ConverterManager converterManager, java.lang.reflect.Method method, int parameterNumber)` External setup this object

Method Summary
`TypeHintContext` | `createChildContext(int newParameterNumber)` Create a child TypeHintContext based on this one
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Class` | `getExtraTypeInfo()` Find the parameterized type information for this parameter either using JDK5 introspection or
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeHintContext

    public TypeHintContext(ConverterManager converterManager,
                           java.lang.reflect.Method method,
                           int parameterNumber)

  External setup this object

  Parameters:
    `converterManager` - For when we can't work out the parameterized type info
    `method` - The method to annotate
    `parameterNumber` - The number of the parameter to edit (counts from 0)

Method Detail

### createChildContext

    public TypeHintContext createChildContext(int newParameterNumber)

  Create a child TypeHintContext based on this one

  Parameters:
    `newParameterNumber` - The index of the item between < and >.
  Returns:
    a new TypeHintContext

### getExtraTypeInfo

    public java.lang.Class getExtraTypeInfo()

  Find the parameterized type information for this parameter either using JDK5 introspection or

  Returns:
    The extra type information for this context

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD